using Shiny.Push;

namespace salesbook.Maui.Core.System.Notification.Push;

public class PushNotificationDelegate : IPushDelegate
{
    public Task OnEntry(PushNotification notification)
    {
        // fires when the user taps on a push notification
        return Task.CompletedTask;
    }

    public Task OnReceived(PushNotification notification)
    {
        // fires when a push notification is received (silient or notification)
        //notification.Data["content-available"] = "1";
        return Task.CompletedTask;
    }

    public Task OnNewToken(string token)
    {
        // fires when a push notification change is set by the operating system or provider
        return Task.CompletedTask;
    }

    public Task OnUnRegistered(string token)
    {
        // fires when a push notification change is set by the operating system or provider
        return Task.CompletedTask;
    }
}